View Issue Details

IDProjectCategoryView StatusLast Update
0016048MediaMonkey 5Main Panelpublic2019-10-24 15:13
ReporterLudek 
PriorityimmediateSeverityminorReproducibilitysometimes
Status closedResolutionfixed 
Product Version5.0 
Target Version5.0Fixed in Version5.0 
Summary0016048: Endless dummy progress tasks (regression in 2206)
DescriptionThere are some dummy "Loading..." progress task (circle wheel spinning) in 2206.
This is regression related to fixing an app close crash log.

Another instance of this:
Sync one track to a storage/device
=> task progress on the bottom of the player disappears, but the circle wheel remains spinning endlessly!

This can result in battery drain issue (as the spinning SVG animation takes quite a lot GPU/CPU resources)
Additional Informationhttps://www.mediamonkey.com/forum/viewtopic.php?f=30&t=95276
TagsNo tags attached.
Fixed in build2207

Relationships

related to 0015267 closedLudek Optimize animations to be less CPU intensive 

Activities

Ludek

2019-10-22 12:22

developer   ~0055072

Fixed in 2207

Ludek

2019-10-22 16:34

developer  

circles.png (28,893 bytes)
circles.png (28,893 bytes)

rusty

2019-10-23 14:47

administrator   ~0055077

Test note (items to verify once build 2207 is ready):
1) I can trigger this by leaving MM running for a couple of hours
2) I can trigger a variant by initiating a scan and double-clicking on the progress wheel --> multiple 'Loading...' status indicators appear and the wheel never disappears.

rusty

2019-10-24 15:13

administrator   ~0055102

Verified 2207.